import { CSSProperties } from 'preact/compat'
import './style.css'

interface SpinnerLoadingProps {
  style?: CSSProperties
  className?: string
}

export default function SpinnerLoading(props: SpinnerLoadingProps) {
  return (
    <div className={`spinner ${props.className ? props.className : ''}`} style={{ display: 'inline-block', ...props.style}}></div>
  )
}