import {
  BestLocation,
  Discovery,
  Home,
  LocationDetail,
  NewsEvent,
  Story,
  AddLocation,
  UserProfile,
  UserFeed
} from '../pages';

const routes = [
  {
    path: "/",
    name: "Home",
    element: <Home />
  },
  {
    path: "/best-places",
    name: "Home",
    element: <BestLocation />
  },
  {
    path: "/discover",
    name: "Home",
    element: <Discovery />
  },
  {
    path: "/stories",
    name: "Home",
    element: <Story />
  },
  {
    path: "/news-events",
    name: "Home",
    element: <NewsEvent />
  },
  {
    path: "/location/:id",
    name: "LocationDetail",
    element: <LocationDetail />
  },
  {
    path: "/add-location",
    name: "AddLocation",
    element: <AddLocation />
  },
  {
    path: "/user/profile",
    name: "UserProfile",
    element: <UserProfile />
  },
  {
    path: "/user/feed",
    name: "UserFeed",
    element: <UserFeed />
  },
]

export default routes;